Subject: bug#78943: feature/igc [PATCH] Trace current minor maps exactly

From: Stefan Monnier <[email-masked]>
Date: Sun, 13 Jul 2025 18:33:53 -0400

> But this is not exactly a nice API and it can't be packed up as
> a function because of alloca.

We have such things in the C code, but I'm not fond of them, indeed.

>> Fixing the API of `current_minor_modes` sounds good to me.
> There is a lot of duplicated code in the functions menu_bar_items,
> tool_bar_items, and tab_bar_items.  The duplicated code builds an array
> of keymaps.  I wonder if we couldn't replace this with
> Fcurrent_active_maps?  It seems to do something very similar.

IIRC there are some subtle issues that get in the way, mostly about
ordering, but last time I looked at it was more than 10 years ago, so it
might be worth revisiting.

        Stefan